<?php

namespace App\Models;

class PropertyWebMetaMapping extends BaseModel
{
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'property_web_meta_mapping';

    const CREATED_AT = 'created_at';
    const UPDATED_AT = 'updated_at';

    protected $dateFormat = 'U';
    protected $guarded = [];

    /**
     * The attributes excluded from the model's JSON form.
     *
     * @var array
     */
    protected $hidden = [];
    protected $appends = ['textArray'];

    public function property()
    {
        return $this->hasOne('App\Models\Property', 'id', 'property_id');
    }

    public function propertyWeb()
    {
        return $this->hasOne('App\Models\PropertyWeb', 'id', 'property_web_id');
    }

    public function propertyWebMetaTag()
    {
        return $this->hasOne('App\Models\PropertyWebMetaTag', 'id', 'property_web_meta_tag_id');
    }

    public function propertyWebMeta()
    {
        return $this->hasOne('App\Models\PropertyWebMeta', 'id', 'property_web_meta_id');
    }

    public function getTextArrayAttribute()
    {
        return json_decode($this->text, true);
    }
}
